<!DOCTYPE html>
<html>
<head>
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap" rel="stylesheet">
    <style>
        * {
            font-family: "Press Start 2P", system-ui;
            font-weight: 400;
            font-style: normal;
        }
        body {
            background-color: black;
        }
        h1 {
            margin: 0%;
        }
        button {
            border: 4px black solid;
            border-radius: 12px;
            cursor: pointer;
            font-size: 16px;
        }
        button:hover {
            background-color: #ddd;
        }
    </style>
</head>
<body>
    <div style="display: inline-block; position: relative;">
        <div
            id="overlappingDiv"
            style="background-color: black;
            position: absolute;
            top: 0;
            right: 0;
            bottom: 0;
            left: 0;
            opacity: 0;
            pointer-events: none;
            z-index: 10;">
        </div>
        <div 
            style=
                "display: none;
                width:100px; 
                height: 25px;
                background-color: white; 
                text-align: center;
                left: 464px;
                top: 256px;
                " 
                id="townMap"> (Press F)
        </div>
    </div>
    <canvas style="height: 100%; width: 100%;"></canvas>
    <div id = "userInterface;" style="display: none;">
            <!-- Represents healthbar of ErBug -->
        <div
            style="
                background-color: white;
                width: 250px;
                position: absolute;
                top: 100px;
                right: 1550px;
                border: 4px black solid;
                border-radius: 12px;
                padding: 12px;">
            <h1
                style="font-size: 16px; margin-bottom: 5px;">
                ErBug
            </h1>
            <div style="position: relative;">
                <div style=
                    "height: 5px;
                    background-color: #ccc;
                    top: 0;
                    left: 0;
                    right: 0;">
                </div>
                <div id="enemyHealthBar"
                style=
                    "height: 5px;
                    position: absolute;
                    top: 0;
                    left: 0;
                    right: 0;
                    background-color: green;">
                </div>
            </div>
        </div>
        <!-- Represents healthbar of Pymon -->
        <div
            style="
                background-color: white;
                width: 250px;
                position: absolute;
                top: 250px;
                left: 75px;
                border: 4px black solid;
                border-radius: 12px;
                padding: 12px;"
        >
            <h1
                style="font-size: 16px; margin-bottom: 5px;">
                Pymon
            </h1>
            <div style="position: relative;">
                <div style=
                    "height: 5px;
                    background-color: #ccc;
                    top: 0;
                    left: 0;
                    right: 0;">
                </div>
                <div
                    id = "playerHealthBar"
                    style=
                        "height: 5px;
                        position: absolute;
                        top: 0;
                        left: 0;
                        right: 0;
                        background-color: green;">
                </div>
            </div>
        </div>
        <div
            style="background-color: white;
                    left: 0;
                    right: 0;
                    border-top: 4px black solid;
                    height: 120px;
                    position: absolute;
                    bottom: 0;
                    display: flex;
                    cursor: pointer;"
        >
        <!-- Dialogue Box -->
            <div
                id='dialogueBox'
                style=
                    "position: absolute;
                    top: 0;
                    right: 0;
                    bottom: 0;
                    left: 0;
                    background-color: white;
                    padding: 12px;
                    display: none;"
            >
                Tweet
            </div>
            <div
                id = 'attacksBox'
                style=
                    "width: 66.66%;
                    display: grid;
                    background-color: black;
                    grid-template-columns: repeat(2, 1fr);">
            </div>
            <div
                style=
                    "display: flex;
                    align-items: center;
                    justify-content: center;
                    width: 33.33%;
                    border-left: 4px black solid;">
                <h1
                    id = "attackType"
                    style="font-size: 16px;">
                    Attack Type
                </h1>
            </div>
        </div>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/gsap/3.9.1/gsap.min.js"
            integrity="sha512-H6cPm97FAsgIKmlBA4s774vqoN24V5gSQL4yBTDOY2su2DeXZVhQPxFK4P6GPdnZqM9fg1G3cMv5wD7e6cFLZQ=="
            crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src='data/audio.js'></script>
    <script src='data/battleZones.js'></script>
    <script src='data/townMap.js'></script>
    <script src='data/collisions.js'></script>
    <script src='data/attacks.js'></script>
    <script src='data/monsters.js'></script>
    <script src="classes.js"></script>
    <script src='index.js'></script>
    <script src='battleScene.js'></script>
    <script src='interaction.js'></script>


</body>
</html>
